package com.zhongshu.card.client.type;

import lombok.Getter;

/**
 * 密码限制类型强度
 */
public enum PassWordType {
    Weak("弱（6位以上）", 6),
    Medium("中（8位+数字）", 8),
    Strong("强（8位+大小写+符号）", 8),
    ;

    @Getter
    private String remark;

    @Getter
    private Integer minLength;

    PassWordType(String remark, Integer minLength) {
        this.remark = remark;
        this.minLength = minLength;
    }
}
